Events
Shift definition
GET
How a major shift is defined and its items ranked.
bearerheader
AuthorizationBearer <token>Your API key: Authorization: Bearer opg_live_...
OpenGrid-Version?"2026-11-03"The API version to shape the response for. Default: the version pinned to your key.
Value in
"2026-11-03"Success
application/json- response
data*meta*Present on every success. List routes add limit, next_cursor (null on the last page) and total.
curl -X GET 'https://data.tryopengrid.com/v1/events/shifts/definition'Example Response
{ "data": { "heading": "string", "items_version": "string", "note": "string", "ranking": "string", "segment": "string", "thresholds": { "archived_min": 0, "baseline_days": 0, "baseline_min_hours": 0, "index_min": 0, "k_times_rms": 0, "major": "string", "median_min": 0, "median_min_providers": 0, "reprice_min_gpus": 0 }, "types": { "archived_price_change": { "kind": "string", "label": "string" }, "archived_provider_repricing": { "kind": "string", "label": "string" }, "capacity_collapse": { "kind": "string", "label": "string" }, "index_move": { "kind": "string", "label": "string" }, "market_median": { "kind": "string", "label": "string" }, "provider_repricing": { "kind": "string", "label": "string" } }, "version": "string", "window": { "after_hours": 0, "archived_pad_days": 0, "before_hours": 0, "max_items": 0, "settle_days": 0 } }, "meta": { "as_of": "2019-08-24T14:15:22Z", "api_version": "string", "request_id": "string", "next_cursor": "string", "limit": 0, "total": 0 }}